> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Auction



## OpenAPI

````yaml patch /auctions/{id}
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /auctions/{id}:
    patch:
      operationId: AuctionsController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAuctionDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    UpdateAuctionDto:
      type: object
      properties:
        amount:
          type: number
          minimum: 1
        currency:
          type: string
          maxLength: 5
        currency_conversion:
          $ref: '#/components/schemas/CreateCurrencyConversionDto'
        name:
          type: string
          maxLength: 256
    CreateCurrencyConversionDto:
      type: object
      properties:
        from_currency:
          type: string
          maxLength: 24
        from_amount:
          type: number
          minimum: 0
      required:
        - from_currency
        - from_amount

````